Last modified: 2014-03-24 19:11:49 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35498 - Add stix font for mathjax
Add stix font for mathjax
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
Math (Other open bugs)
unspecified
All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 31406 make-mathjax-default
  Show dependency treegraph
 
Reported: 2012-03-26 18:43 UTC by Derk-Jan Hartman
Modified: 2014-03-24 19:11 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Derk-Jan Hartman 2012-03-26 18:43:21 UTC
We should add that Stix font MathJax always seems to use. Perhaps it can be piggy back on webfonts extension ?

Otherwise manually install them I guess.
Comment 1 Brion Vibber 2012-03-26 20:08:37 UTC
The webfonts are present and already managed by the extension. (What we didn't include are the so-called "image fonts", which is a butt-ton of PNG images at fixed sizes.)

Right now it's set to default to the Tex web fonts; I'm not sure whether/what benefit there is to using the Stix web fonts instead/in addition.
Comment 2 Derk-Jan Hartman 2012-04-01 11:53:57 UTC
The TeX webfonts seem present yes, but it does not seem the StiX fonts are installed. I believe MathJax does not provide them by default as webfonts, because they are rather large and take a lot of time to download.
Comment 3 nageh 2012-04-18 12:16:22 UTC
Right, STIX fonts are currently not available as webfonts. What I have done is to take STIX fonts when they are available locally, and fall back to TeX fonts when they are not. See change: https://en.wikipedia.org/w/index.php?title=User%3ANageh%2FmathJax.js&diff=485010389&oldid=484594591

The benefit of the STIX font set seems that it's a bit nicer than the TeX fonts. Also, it is the only font that works with the MathML output mode.
Comment 4 Erwin Dokter 2012-09-06 20:54:23 UTC
+1 for STIX fonts, eiher when locally installed, but preferably as webfonts.
Comment 5 Peter Krautzberger 2013-03-06 23:20:22 UTC
MathJax is working with the STIX group to create webfonts versions of the STIX fonts. In particular, MathJax will get an option to use them.
Comment 6 Gerrit Notification Bot 2013-05-19 16:24:57 UTC
Related URL: https://gerrit.wikimedia.org/r/64527 (Gerrit Change I18d9ad32ef011ef8a361ed0c6b54e3c62a234491)
Comment 7 Gerrit Notification Bot 2013-09-08 13:59:06 UTC
Change 64527 abandoned by TheDJ:
Math: Add the font selector to MathJax menu

Reason:
Dropping this change, i'm not a big fan of it myself.

People who want stix fonts should figure out how to do that on their own.

https://gerrit.wikimedia.org/r/64527

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links